%define _libexecdir /usr/libexec

Summary:  The Control Center
Name:     drakconf
Version:  13.4
Release:  %mkrel 9.7
Source0:  %{name}-%{version}.tar.xz
License: GPLv2+
Group:   System/Configuration
Url:     http://www.mageia.org
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: perl_checker
BuildRequires: perl-MDK-Common-devel
BuildRequires: drakxtools-backend
Requires: UfficioZero-release
Requires: drakxtools
Requires: harddrake-ui
Requires: polkit
Requires: userdrake
Requires: drakconf-icons = %{version}
#Requires: drakx-net-applet
Requires: libdrak3d
Requires: drakx-kbd-mouse-x11
Requires: lib64vte2.91_0
Requires: addlocale
Requires: perl-Gtk3-WebKit2
Requires: webkitgtk2
Requires: perl-Pango
#----------------------------------
Obsoletes: draksnapshot
Obsoletes: drakoo
#----------------------------------

%description
drakconf includes the Control Center which is an interface to
multiple utilities from DrakXtools.

%package icons
Summary: Icons of the %{_vendor} Control Center
Group:   Graphical desktop/Other

%description icons
This package hold icons of the Control Center used
in the interface.

%prep
%setup -q

%install
rm -rf %buildroot
%makeinstall_std

#install lang
%find_lang %{name}

#install menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %buildroot%{_datadir}/applications/ufficiozero-drakconf.desktop << EOF
[Desktop Entry]
Name=Configure Your Computer
Name[fr]=Configurer Votre Ordinateur
Name[nl]=Uw computer configureren
Name[de]=Konfigurieren Sie Ihren Computer
Name[sv]=Konfigurera din dator
Name[rs]=Подесите Ваш Рачунар
Name[pl]=Konfiguracja komputera
Exec=/usr/bin/drakconf
Comment=Administration Center
Comment[fr]=Centre de Gestion du Système
Comment[nl]=Beheercentrum
Comment[de]=Administrationszentrale
Comment[sv]=Inställningscentral
Comment[rs]=Администрациони Центар
Comment[pl]=Centrum sterowania ufficiozero
Icon=drakconf.png
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;X-MandrivaLinux-System-Configuration;Settings;
EOF

mkdir -p %buildroot{%_miconsdir,%_liconsdir}
install -m0644 drakconf16.png %buildroot/%_miconsdir/drakconf.png
install -m0644 drakconf32.png %buildroot/%_iconsdir/drakconf.png
install -m0644 drakconf48.png %buildroot/%_liconsdir/drakconf.png

install -d %{buildroot}/etc
touch %{buildroot}/etc/mcc.conf

for i in %buildroot{%_sbindir,%_bindir}/{mcc,pcc}; do
	ln -s {drakconf,$i}
done

#compatibility symlink for XFCE
ln -s /usr/bin/drakconf %{buildroot}/usr/sbin/drakconf


mkdir -p %buildroot/usr/X11R6/bin/
echo -e "#\!/bin/sh\nexec /usr/bin/mcc" > %buildroot/usr/X11R6/bin/DrakConf


(cd %{buildroot} ; find usr -type f -name "*.png"  -printf "/%%p\n") > images-big.list
perl -ni -e '/128/ ? print : print STDERR $_ ' images-big.list 2> images.list
cat images-big.list >> %{name}.lang


%files icons -f images.list

%files -f %{name}.lang
%doc COPYING
%config(noreplace) %ghost %{_sysconfdir}/mcc.conf
%config(noreplace) %{_sysconfdir}/sysconfig/mcc.conf
%{_bindir}/*
%{_sbindir}/*
%attr(755,root,root) %_prefix/X11R6/bin/DrakConf
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/applications/ufficiozero-drakconf.desktop
%{perl_vendorlib}/MDV
%dir %{_datadir}/mcc
%{_datadir}/mcc/progs.conf
%dir %{_datadir}/mcc/themes/
%dir %{_datadir}/mcc/themes/default
%{_datadir}/mcc/themes/default/mcc.css
%{_libexecdir}/*
%_miconsdir/*.png
%_iconsdir/*.png
%_liconsdir/*.png

%pre
rm -f /usr/sbin/drakconf


%changelog
* Tue Jan 28 2021 adrianomosrelli <adrianomorselli> 13.4-9.7ufficiozero2021
- rebuilded
* Sun Dec 27 2020 adrianomorselli <adrianomorselli> 13.4-9.3ufficiozero2021
- removed every pclos's stuff
* Sat Dec 26 2020 adrianomorselli <adrianomorselli> 13.4-9.1ufficiozero2021
- rebuild for ufficiozero
